{
  "name": "dcfrontend",
  "version": "6.8.5",
  "description": "Data Controller",
  "devDependencies": {
    "@saithodev/semantic-release-gitea": "^2.1.0",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/commit-analyzer": "^10.0.1",
    "@semantic-release/npm": "11.0.0",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/release-notes-generator": "^11.0.4",
    "commit-and-tag-version": "^11.2.2",
    "prettier": "3.2.5"
  },
  "scripts": {
    "install": "cd client && npm i && cd ../sas && npm i",
    "build-frontend": "cd client && npm run build",
    "release": "commit-and-tag-version",
    "lint": "npm run lint:fix",
    "lint:fix": "npx prettier --write \"client/{src,test}/**/*.{ts,tsx,js,jsx,html,css,sass,less,yml,md,graphql}\" \"client/cypress/integration/*.tests.ts\"",
    "lint:check": "npx prettier --check \"client/{src,test}/**/*.{ts,tsx,js,jsx,html,css,sass,less,yml,md,graphql}\" \"client/cypress/integration/*.tests.ts\"",
    "jo": "echo"
  },
  "repository": {
    "type": "git",
    "url": "https://git.datacontroller.io/dc/dc.git"
  },
  "private": true,
  "//": [
    "Readme",
    "We must set private: true so that semantic-release/npm plugin will update the package.json version but not try to release it as NPM package"
  ]
}
